Class Fox::FXPopup

In: | FXPopup.rb
Parent: | FXShell

Popup window

### Popup internal orientation

`POPUP_VERTICAL`: | Vertical orientation
`POPUP_HORIZONTAL`: | Horizontal orientation
`POPUP_SHRINKWRAP`: | Shrinkwrap to content

Methods

new popdown popup

Attributes

baseColor | [RW] | Base color [FXColor]
borderColor | [RW] | Border color [FXColor]
borderWidth | [R] | Border width [Integer]
frameStyle | [RW] | Frame style [Integer]
grabOwner | [R] | Current grab owner [FXWindow]
hiliteColor | [RW] | Highlight color [FXColor]
orientation | [RW] | Popup orientation [Integer]
shadowColor | [RW] | Shadow color [FXColor]
shrinkWrap | [RW] | Shrinkwrap mode [Boolean]

Public Class methods

new(owner, opts=POPUP_VERTICAL|FRAME_RAISED|FRAME_THICK, x=0, y=0, w=0, h=0) {|thePopup| ...}

Construct popup pane

Public Instance methods

popup(grabto, x, y, w=0, h=0)

Pop it up

popdown()

Pop it down